Bug 1009357 - SELinux is preventing /opt/google/chrome/chrome from 'write' accesses on the file /tmp/acer-google-chrome/Default/databases/chrome-extension_hdokiejnpimakedhajhdlcegeplioahd_0/1.
SELinux is preventing /opt/google/chrome/chrome from 'write' accesses on the ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:f932f70d6b6d77ac27440de28bf...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-18 05:35 EDT by Gabriele Gualco
Modified: 2015-02-17 12:14 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:14:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gabriele Gualco 2013-09-18 05:35:40 EDT
Description of problem:
SELinux is preventing /opt/google/chrome/chrome from 'write' accesses on the file /tmp/acer-google-chrome/Default/databases/chrome-extension_hdokiejnpimakedhajhdlcegeplioahd_0/1.

*****  Plugin chrome (98.5 confidence) suggests  *****************************

If usare il pacchetto plugin
Then you must turn off SELinux controls on the Chrome plugins.
Do
# setsebool -P unconfined_chrome_sandbox_transition 0

*****  Plugin catchall (2.46 confidence) suggests  ***************************

If si crede che chrome dovrebbe avere possibilità di accesso write sui 1 file in modo predefinito.
Then si dovrebbe riportare il problema come bug.
E' possibile generare un modulo di politica locale per consentire questo accesso.
Do
consentire questo accesso per il momento eseguendo:
# grep Chrome_ChildIOT /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c
                              0.c1023
Target Context                system_u:object_r:initrc_tmp_t:s0
Target Objects                /tmp/acer-google-chrome/Default/databases/chrome-
                              extension_hdokiejnpimakedhajhdlcegeplioahd_0/1 [
                              file ]
Source                        Chrome_ChildIOT
Source Path                   /opt/google/chrome/chrome
Port                          <Sconosciuto>
Host                          (removed)
Source RPM Packages           google-chrome-stable-29.0.1547.65-220622.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-74.3.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.10.11-200.fc19.x86_64 #1 SMP Mon
                              Sep 9 13:03:01 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-09-18 13:07:10 CEST
Last Seen                     2013-09-18 13:07:10 CEST
Local ID                      abc48c49-eabf-460c-b545-a02c32b014c4

Raw Audit Messages
type=AVC msg=audit(1379502430.335:454): avc:  denied  { write } for  pid=2861 comm="Chrome_ChildIOT" path="/tmp/acer-google-chrome/Default/databases/chrome-extension_hdokiejnpimakedhajhdlcegeplioahd_0/1" dev="tmpfs" ino=21936 scontext=unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c0.c1023 tcontext=system_u:object_r:initrc_tmp_t:s0 tclass=file


type=SYSCALL msg=audit(1379502430.335:454): arch=x86_64 syscall=recvmsg success=yes exit=EPERM a0=14 a1=7f6c540072d0 a2=40 a3=0 items=0 ppid=6 pid=2861 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=2 tty=(none) comm=Chrome_ChildIOT exe=/opt/google/chrome/chrome subj=unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c0.c1023 key=(null)

Hash: Chrome_ChildIOT,chrome_sandbox_t,initrc_tmp_t,file,write

Additional info:
reporter:       libreport-2.1.7
hashmarkername: setroubleshoot
kernel:         3.10.11-200.fc19.x86_64
type:           libreport
Comment 1 Daniel Walsh 2013-09-18 11:27:02 EDT
That content was not created by chrome?  I would run 

chcon -t chrome_sandbox_tmp_t -R '/tmp/acer-google-chrome(/.*)?'

Which should fix the label.


Any idea why this plugin is writing content there?
Comment 2 Gabriele Gualco 2014-10-29 16:02:54 EDT
No ideas, and your command line tells me that the directory does not exist.
Comment 3 Daniel Walsh 2015-01-02 08:49:07 EST
It looks like  you have some kind of program run by systemd that is creating this content.
Comment 4 Fedora End Of Life 2015-01-09 14:52:58 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 12:14:09 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.